Page MenuHomePhabricator

Disable RelatedArticles instrumentation on all wikis
Closed, ResolvedPublic1 Story Points

Description

 Background

The RelatedArticles A/B test has finished. ~0% of EventLogging events are feature-disabled events as expected. It's time to turn off the instrumentation.

 AC

  • The instrumentation is turned off on all wikis.
    • i.e. $wgRelatedArticlesLoggingBucketSize is 0 everywhere.
  • The instrumentation implementation isn't removed from the RelatedArticles codebase.

Event Timeline

phuedx created this task.Sep 4 2017, 2:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2017, 2:21 PM
ovasileva triaged this task as Normal priority.Sep 4 2017, 2:23 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.

When can this be done? Now?

@Jdlrobson - we can do it now, so long as we leave the code intact. In my precursory analysis of the data, it seemed we were still having some issues with bucketing, meaning there's still a possibility of repeating the a/b test later on.

ovasileva set the point value for this task to 1.Sep 19 2017, 4:53 PM

Change 380554 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Disable RelatedArticles instrumentation on all wikis

https://gerrit.wikimedia.org/r/380554

On SWAT calendar for tomorrow

Change 380554 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable RelatedArticles instrumentation on all wikis

https://gerrit.wikimedia.org/r/380554

Mentioned in SAL (#wikimedia-operations) [2017-09-26T13:15:34Z] <hashar@tin> Synchronized wmf-config/CommonSettings.php: Disable RelatedArticles instrumentation on all wikis - T174944 (duration: 00m 45s)

I'll sign it off today

pmiazga claimed this task.Sep 27 2017, 2:34 PM

Config value is set to zero on all wikis, grafana shows zero-to-couple events per minute (drop from ~700 events per minute) - it's probably an old/cached code. Looks good to me - I'll resolve this task.

pmiazga closed this task as Resolved.Sep 27 2017, 6:03 PM
pmiazga removed a project: Patch-For-Review.
phuedx updated the task description. (Show Details)Sep 27 2017, 6:05 PM

Config value is set to zero on all wikis, grafana shows zero-to-couple events per minute (drop from ~700 events per minute) - it's probably an old/cached code. Looks good to me - I'll resolve this task.

Just a note that there are still Popups events being logged and that instrumentation was disabled on Monday, September 18th.